Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.gen
Class EPPDuplicateExtensionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.verisign.epp.exception.EPPException
                  com.verisign.epp.codec.gen.EPPCodecException
                      com.verisign.epp.codec.gen.EPPDuplicateExtensionException

All Implemented Interfaces:
  java.io.Serializable

    public class EPPDuplicateExtensionException

extends EPPCodecException

Exception used to identify that a duplicate extension was found in the list of extensions.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPCodecException
`MISSINGPARAMETER, VALUE_MISSINGPARAMETER, VALUE_UNDEFINED`

Constructor Summary
`EPPDuplicateExtensionException(EPPCodecComponent aExtensionClass)` Constructor for EPPComponentNotFoundException that takes an info string.

Method Summary
`EPPCodecComponent` | `getExtension()` Get the duplicate extension `Class` found.

Methods inherited from class com.verisign.epp.codec.gen.EPPCodecException
`equals, getValue`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPDuplicateExtensionException

    public EPPDuplicateExtensionException(EPPCodecComponent aExtensionClass)

  Constructor for EPPComponentNotFoundException that takes an info string.

  Parameters:
    `aExtensionClass` - Duplicate extension class found

Method Detail

### getExtension

    public EPPCodecComponent getExtension()

  Get the duplicate extension `Class` found.

  Returns:
    The duplicate `EPPCodecComponent` extension found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.